Bug 94816 - MAILMERGE: Writer freeze in Serial letter assistant step 6. with German UI
Summary: MAILMERGE: Writer freeze in Serial letter assistant step 6. with German UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords: regression
: 94912 (view as bug list)
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2015-10-06 09:39 UTC by Fritz Heinrichmeyer
Modified: 2017-07-21 13:28 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
item 6.png, show item 6 (259.31 KB, image/png)
2015-10-08 12:03 UTC, Fritz Heinrichmeyer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fritz Heinrichmeyer 2015-10-06 09:39:41 UTC
LibreOffice (5.0.2) Writer freeze in Serial letter assistant.
In item 6(document prepare )
LibreOffice (5.0.1) works.

All data for trigger the Bug is in Bug #90059
Comment 1 Buovjaga 2015-10-08 11:47:47 UTC
So I opened Serienbrief.odt, added the database, printed and selected to create a file. It went ok.
Are these the steps for reproducing the freeze?
I'm asking, because I'm not seeing any "item 6" in my steps.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 2 Fritz Heinrichmeyer 2015-10-08 12:03:16 UTC
Created attachment 119413 [details]
item 6.png, show item 6
Comment 3 Buovjaga 2015-10-08 12:09:28 UTC
Ok, so Tools - Mail merge wizard.

No problem here with that one either.
Comment 4 Buovjaga 2015-10-10 13:14:43 UTC
*** Bug 94912 has been marked as a duplicate of this bug. ***
Comment 5 Buovjaga 2015-10-10 13:15:33 UTC
We got a confirmation from bug 94912 and this only happens with German UI!
Comment 6 Walter Pape 2015-10-15 11:14:55 UTC
Also happened to me; Libre Office 5.0.2.2, Windows 7
Comment 7 Julien Nabet 2015-10-25 20:34:48 UTC
On pc Debian x86-64 with LO Debian package 5.0.2.2 and German UI, I don't reproduce this.
German UI + Windows only bug?
Comment 8 Buovjaga 2015-10-25 20:44:04 UTC
Could not repro on Win:
Version: 5.0.2.2 (x64)
Build-ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Gebietsschema: de-DE (fi_FI)
Comment 9 Julien Nabet 2015-10-25 20:47:09 UTC
I used the by-default options for mailmerge steps.
Fritz: could you indicate the options you choose for the 5 first steps?
Comment 10 Fritz Heinrichmeyer 2015-10-26 12:02:19 UTC
I used the by-default options for mailmerge steps.
Fritz: could you indicate the options you choose for the 5 first steps?

1. incomingdocument select -> use current document 
2. document category select -> letter 
3. adress block insert -> skip
4. letter salutation generate -> skip
5. Layout adapt (inactive, grey)
6. document prepare -> crash
Comment 11 Fritz Heinrichmeyer 2015-11-04 10:32:13 UTC
Bug survival in Version: 5.0.3.2 (Window 7, x64)
Comment 12 Julien Nabet 2015-11-04 21:00:11 UTC
Thank you for your feedback but I don't understand enough the process (above all how to skip a step in mailmerge, either you cancel the whole process or you select what the step requires) here to help.
Surely someone may give a try.
Comment 13 Fritz Heinrichmeyer 2015-11-05 09:39:33 UTC
5.0.3.2 (x64)
User interface: *English*  (UK, NEW!)
And it works(like a charm:)!
Comment 14 Fritz Heinrichmeyer 2015-11-05 09:54:14 UTC
Sorry, I have forget:
System: Window 7, X64 
5.0.3.2 (x64)
User interface: *English*  (UK,NEW)
And it works (like a charm:)!
5.0.3.2 (Window 7, x64)
Comment 15 Buovjaga 2015-11-05 13:57:34 UTC
(In reply to Julien Nabet from comment #12)
> Thank you for your feedback but I don't understand enough the process (above
> all how to skip a step in mailmerge, either you cancel the whole process or
> you select what the step requires) here to help.
> Surely someone may give a try.

"Skip" means you just click next without diving into the thing that the step allows.
Comment 16 Julien Nabet 2015-11-05 14:08:21 UTC
(In reply to Beluga from comment #15)
> (In reply to Julien Nabet from comment #12)
> > Thank you for your feedback but I don't understand enough the process (above
> > all how to skip a step in mailmerge, either you cancel the whole process or
> > you select what the step requires) here to help.
> > Surely someone may give a try.
> 
> "Skip" means you just click next without diving into the thing that the step
> allows.

"Next" is disabled/grayed if I don't enter required information. For step 3, I just can't click "Next" without providing address information.
Comment 17 Buovjaga 2015-11-05 14:13:38 UTC
(In reply to Julien Nabet from comment #16)
> "Next" is disabled/grayed if I don't enter required information. For step 3,
> I just can't click "Next" without providing address information.

Did you use the database and data source from bug 90059?
Comment 18 Julien Nabet 2015-11-05 14:23:17 UTC
I just copied pasted all the files of the bugtracker and opened the odt file then launched Mailmerge.
Comment 19 Buovjaga 2015-11-05 14:29:15 UTC
(In reply to Julien Nabet from comment #18)
> I just copied pasted all the files of the bugtracker and opened the odt file
> then launched Mailmerge.

F4, Right-click the list background, Registered databases, New and add the db file. I think that should be enough.
Comment 20 Julien Nabet 2015-11-05 20:38:44 UTC
(In reply to Beluga from comment #19)
> (In reply to Julien Nabet from comment #18)
> > I just copied pasted all the files of the bugtracker and opened the odt file
> > then launched Mailmerge.
> 
> F4, Right-click the list background, Registered databases, New and add the
> db file. I think that should be enough.

Thank you for the help.

I gave a try with SAL_USE_VCLPLUGIN=gen + German UI on pc Debian x86-64 with LO Debian package 5.0.3, I didn't reproduce the freeze.
Certainly someone may be luckier than me :-)
Comment 21 Commit Notification 2015-12-10 08:26:54 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc5899ff62dd4e9c76aa456fe845c5812bb8d93a

tdf#94816: fixed some problems in the mail merge wizard

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 heuteinkognito 2016-04-14 11:39:24 UTC
This bug exists in the most recent version (5.2.0), still.
Serial letter assistant freezes when going to "layout adation" (?) (Layout anpassen in German)

This is very annoying!
Comment 23 Julien Nabet 2016-04-16 23:02:08 UTC
heuteinkognito: on which env are you?
For the moment it seems to impact MacOs (reporter's env) + Windows (reporter by other people). So the goal is to know if it impact Linux too
Comment 24 Robinson Tryon (qubit) 2016-05-12 13:22:09 UTC
(In reply to Julien Nabet from comment #23)
> heuteinkognito: on which env are you?
> For the moment it seems to impact MacOs (reporter's env) + Windows (reporter
> by other people). So the goal is to know if it impact Linux too

Hi Heuteinkognito,

We're interested if you can still trigger this bug on Linux (which is easier for us to test), or if you were on Mac OS or Windows.

I ran into issues trying to reproduce with LO 5.1 on the Mac, so it'd be great to get your feedback here. Thanks!
Comment 25 Robinson Tryon (qubit) 2016-07-21 14:23:40 UTC
(In reply to Robinson Tryon (qubit) from comment #24)
> Hi Heuteinkognito,
> 
> We're interested if you can still trigger this bug on Linux (which is easier
> for us to test), or if you were on Mac OS or Windows.
> 
> I ran into issues trying to reproduce with LO 5.1 on the Mac, so it'd be
> great to get your feedback here. Thanks!

Heuteinkognito: Can you give specific feedback about which 5.2/5.3 build(s) can demonstrate this problem? If we can't reproduce this bug in current builds, we should resolve it and open a new bug if the problem reappears.
Comment 26 Alex Thurgood 2016-08-31 07:32:52 UTC
Tested against :

Version: 5.2.0.4
Build-ID: 066b007f5ebcc236395c7d282ba488bca6720265
CPU-Threads: 2; BS-Version: Mac OS X 10.11.6; UI-Render: Standard; 
Gebietsschema: de-DE (fr.UTF-8)

If I follow the steps (1 to 3) in comment 10, the mailmerge wizard refuses to move to step 5 unless I choose to activate a salutation. The database is registered with LO and I am using SerienBrief.odt and proceding via the mailmerge wizard (Tools > Mailmerge).

For me, there is at least some information missing to reproduce the bug, or else I have misread something in the previous comments.
Comment 27 Alex Thurgood 2016-08-31 07:39:25 UTC
In fact, it makes no difference even if I select a personal greeting, I still can't go any further than step 4.
Comment 28 Alex Thurgood 2016-08-31 07:44:08 UTC
What I don't understand is why Serienbrief.odt has prefilled data (Dirk Strehlau). The mailmerge document should surely contain field names rather than actual data until the data is picked from the database ?
Comment 29 Alex Thurgood 2016-08-31 08:03:29 UTC
I am confused. If I click on the "Record" forward/backward arrows of the Mailmerge toolbar that appears in LO5.2, I can cycle through the names and addresses of the various intended recipients of the mailmerge. This is the new embedded system where the datasource data is stored in the document.

In the old system, the datasource data was not stored in the ODT document, merely a reference to it. The problems that Fritz is experiencing might lie in when his document was conceived (old mailmerge system ?) and the fact that the mailmerge wizard doesn't appear to have been adapted to the new system ?

Fritz : what exactly do you mean by "freeze" in comment 22 ? This report is made against LO for Mac OSX, yet in comment 11 and comment 14 you reported the bug being present in Windows. Which OS(es) is/are still showing the buggy behaviour ?


Does the app stop responding (beach ball mode requiring forced kill) or is it simply, as I have reported, that you can not proceed past a certain step in the mailmerge wizard ?
Comment 30 Alex Thurgood 2016-12-01 08:44:09 UTC
@Fritz : any update in response to my questions in comment 29 please ? 
Unless the problem is now resolved of course ;)
Comment 31 Timur 2017-07-21 13:27:41 UTC
More than 6 months of no response, bug was for 5.0 and from 5.2 there are just 5 steps, there was some fix here. I'll close this one. 
Should this exact bug be reproduced, feel free to set back to Unconfirmed.
Comment 32 Timur 2017-07-21 13:28:30 UTC
Since there was a fix, let's close as Fixed.